#include <stdio.h>
#include <stdlib.h>

#define WIDTH 10
#define INPUT_BUFFER_LEN 64
/// Used to clear the buffer scanf reads from.
/// Useful when user enters malformed input, as scanf does not clear
/// when it fails to read an input.
#define READ_STDIN_UNTIL_NEWLINE() while (getchar() != '\n'){};

int main() {
  int rc, height, i, j;
  char *input[INPUT_BUFFER_LEN];
  
  do {
    printf("Enter height: ");
    rc = scanf("%d", &height);
    READ_STDIN_UNTIL_NEWLINE();

    if (rc == 1) {
      break;
    }

  } while (1);

  for(i = 0; i < height; i++) {
    for (j = 0; j < i; j++) {
      printf(" ");
    }
    for (j = 0; j < WIDTH; j++) {
      printf("#");
    }

    printf("\n");
  }
}
